# HG changeset patch
# Node ID 564500a64d7bd9b4bacec12a8938fb7a50dc8e10
# Parent  6d6d1ba8472252d3ab8cffe481cb409c1a4da89f
diff --git a/ibis/ibiscapabilities.c b/ibis/ibiscapabilities.c
--- a/ibis/ibiscapabilities.c
+++ b/ibis/ibiscapabilities.c
@@ -328,13 +328,12 @@
 
 	/**
 	 * IbisCapabilities::ready:
-	 * @capabilities: The instance.
 	 *
-	 * Emitted when @capabilities has finished receiving the list of
+	 * Emitted when @self has finished receiving the list of
 	 * capabilities from the server at startup.
 	 *
-	 * For dynamically added capabilities see the `added` and `removed`
-	 * signals.
+	 * For dynamically added capabilities see the [signal@Capabilities::new] and
+	 * [signal@Capabilities::del] signals.
 	 *
 	 * Since: 0.1
 	 */
@@ -351,9 +350,9 @@
 
 	/**
 	 * IbisCapabilities::ack:
-	 * @capabilities: The instance.
-	 * @client: The client instance.
-	 * @capability: The capability string.
+	 * @capabilities: the instance
+	 * @client: the client instance
+	 * @capability: the capability string
 	 *
 	 * Emitted when the server has acknowledged a `CAP REQ` call from
 	 * [method@Capabilities.request].
@@ -377,9 +376,9 @@
 
 	/**
 	 * IbisCapabilities::nak:
-	 * @capabilities: The instance.
-	 * @client: The client instance.
-	 * @capability: The capability string.
+	 * @capabilities: the instance
+	 * @client: the client instance
+	 * @capability: the capability string
 	 *
 	 * Emitted when the server has nacked a `CAP REQ` call from
 	 * [method@Capabilities.request].
@@ -403,7 +402,6 @@
 
 	/**
 	 * IbisCapabilities::done:
-	 * @capabilities: The instance.
 	 *
 	 * Emitted when all of the requested capabilities have been either ack'd or
 	 * nak'd by the server.
@@ -423,8 +421,8 @@
 
 	/**
 	 * IbisCapabilities::new:
-	 * @capabilities: The instance.
-	 * @added: The newly added capabilities.
+	 * @capabilities: the instance
+	 * @added: the newly added capabilities
 	 *
 	 * Emitted when the server sends the `CAP NEW` command. @added is a
 	 * [type@GLib.Strv] of the new capabilities the server added.
@@ -450,8 +448,8 @@
 
 	/**
 	 * IbisCapabilities::del:
-	 * @capabilities: The instance.
-	 * @removed: The capabilities that were removed.
+	 * @capabilities: the instance
+	 * @removed: the capabilities that were removed
 	 *
 	 * Emitted when the server sends the `CAP DEL` command. @removed is a
 	 * [type@GLib.Strv] of the capabilities that the server removed.
diff --git a/ibis/ibiscapabilities.h b/ibis/ibiscapabilities.h
--- a/ibis/ibiscapabilities.h
+++ b/ibis/ibiscapabilities.h
@@ -38,7 +38,7 @@
 /**
  * IbisCapabilities:
  *
- * A object that handles capability negotiation.
+ * An object that handles capability negotiation.
  *
  * Since: 0.1
  */
@@ -65,8 +65,7 @@
 
 /**
  * ibis_capabilities_start:
- * @capabilities: The instance.
- * @client: The client instance.
+ * @client: the client instance
  *
  * Starts capability negotiation on @client.
  *
@@ -79,12 +78,13 @@
 
 /**
  * ibis_capabilities_request:
- * @capabilities: the instance
  * @capability: the capabilities to request
  *
- * This method will send `CAP REQ @capability` to the server. Listen to the
- * `::ack` and `::nak` signals which will contain the contents of @capability
- * that was passed in here.
+ * Requests @capability from the server.
+ *
+ * This sends the `CAP REQ` command to the server. Emits the signals
+ * [signal@Capabilities::ack] or [signal@Capabilities::nak] with the requested
+ * @capability as reply.
  *
  * Since: 0.1
  */
@@ -93,13 +93,13 @@
 
 /**
  * ibis_capabilities_lookup:
- * @capabilities: the instance
  * @name: the name of the capability to look for
  * @found: (out) (nullable): a return address for a boolean on whether the
  *         capability was advertised or not
  *
- * Gets the value that the @name capability provided if it was advertised. To
- * determine if the capability was advertised use the @found parameter.
+ * Gets the value that the @name capability provided if it was advertised.
+ *
+ * To determine if the capability was advertised use the @found parameter.
  *
  * Returns: The value of the capability named @name.
  *
@@ -110,10 +110,9 @@
 
 /**
  * ibis_capabilities_lookup_and_request:
- * @capabilities: the instance
  * @name: the name of the capability to look for
  *
- * A helper function to call [method@Capabilities.lookup] and if found, call
+ * Calls [method@Capabilities.lookup] and if the capability was found, calls
  * [method@Capabilities.request].
  *
  * This method ignores the advertised value, so to get that you'll need to call
@@ -131,7 +130,6 @@
 
 /**
  * ibis_capabilities_add_wait:
- * @capabilities: the instance
  *
  * Adds a wait counter to @capabilities. This counter is used to delay the
  * call of `CAP END` until all capability negotiation has completed. This is
@@ -144,7 +142,6 @@
 
 /**
  * ibis_capabilities_remove_wait:
- * @capabilities: the instance
  *
  * Removes a wait counter from @capabilities. Only when this counter reaches 0,
  * will `CAP END` be called and registration completed.
@@ -159,7 +156,6 @@
 
 /**
  * ibis_capabilities_stop:
- * @capabilities: the instance
  *
  * Stops handling capability commands.
  *
diff --git a/ibis/ibisclient.c b/ibis/ibisclient.c
--- a/ibis/ibisclient.c
+++ b/ibis/ibisclient.c
@@ -706,17 +706,16 @@
 
 	/**
 	 * IbisClient::message:
-	 * @client: The instance.
-	 * @command: The command.
-	 * @message: The message.
+	 * @client: the instance
+	 * @command: the command
+	 * @message: the message
 	 *
 	 * Emitted when the client has received a new message.
 	 *
 	 * This signal supports *details* based on the upper case version of the
 	 * command from the message. For example, `PRIVMSG`, `NOTICE`, etc.
 	 *
-	 * Returns: %TRUE to stop other handlers from being invoked, otherwise
-	 *          %FALSE to propagate further.
+	 * Returns: true to stop other handlers from being invoked; false otherwise.
 	 *
 	 * Since: 0.1
 	 */
@@ -735,8 +734,8 @@
 
 	/**
 	 * IbisClient::writing-message:
-	 * @client: The instance.
-	 * @message: The message.
+	 * @client: the instance
+	 * @message: the message
 	 *
 	 * Emitted just before the client has queued @message to be written to the
 	 * output stream to allow dropping or modification of messages.
@@ -744,8 +743,7 @@
 	 * This signal supports *details* based on the normalized uppercase version
 	 * of the command from the message. For example, `PRIVMSG`, `NOTICE`, etc.
 	 *
-	 * Returns: %TRUE to stop the message from being written, or %FALSE to
-	 *          continue as normal.
+	 * Returns: true to stop the message from being written; false otherwise.
 	 *
 	 * Since: 0.4
 	 */
@@ -763,8 +761,8 @@
 
 	/**
 	 * IbisClient::wrote-message:
-	 * @client: The instance.
-	 * @message: The message.
+	 * @client: the instance
+	 * @message: the message
 	 *
 	 * Emitted when the client has successfully written @message to output
 	 * stream.
diff --git a/ibis/ibisclient.h b/ibis/ibisclient.h
--- a/ibis/ibisclient.h
+++ b/ibis/ibisclient.h
@@ -68,7 +68,6 @@
 
 /**
  * ibis_client_connect:
- * @client: the instance
  * @hostname: the hostname or IP address to connect to
  * @port: the port to connect to
  * @password: (nullable): the optional server password to use
@@ -87,7 +86,6 @@
 
 /**
  * ibis_client_disconnect:
- * @client: the instance
  * @error: (transfer full) (nullable): a #GError
  * @reason: (nullable): an optional disconnect reason
  *
@@ -105,7 +103,6 @@
 
 /**
  * ibis_client_get_alt_nick:
- * @client: the instance
  *
  * Gets the alternative nick to use in the event that [property@Client:nick] is
  * already in use.
@@ -119,7 +116,6 @@
 
 /**
  * ibis_client_set_alt_nick:
- * @client: the instance
  * @alt_nick: (nullable): the new alternative nick
  *
  * Sets the alternative nick of @client to @alt_nick.
@@ -131,7 +127,6 @@
 
 /**
  * ibis_client_get_cancellable:
- * @client: the instance
  *
  * Gets the [class@Gio.Cancellable] for @client.
  *
@@ -144,7 +139,6 @@
 
 /**
  * ibis_client_get_capabilities:
- * @client: the instance
  *
  * Gets the [class@Capabilities] from @client.
  *
@@ -157,7 +151,6 @@
 
 /**
  * ibis_client_get_connected:
- * @client: the instance
  *
  * Gets whether or not @client is currently connected.
  *
@@ -170,7 +163,6 @@
 
 /**
  * ibis_client_get_error:
- * @client: the instance
  *
  * Gets the #GError that client encountered.
  *
@@ -183,7 +175,6 @@
 
 /**
  * ibis_client_get_features:
- * @client: the instance
  *
  * Gets the [class@Ibis.Features] from @client.
  *
@@ -197,7 +188,6 @@
 
 /**
  * ibis_client_get_hasl_context:
- * @client: the instance
  *
  * Gets the [class@Hasl.Context] from @client.
  *
@@ -210,7 +200,6 @@
 
 /**
  * ibis_client_set_hasl_context:
- * @client: the instance
  * @hasl_context: (nullable) (transfer none): the new context to set
  *
  * Sets the [class@Hasl.Context] for @client to use.
@@ -226,7 +215,6 @@
 
 /**
  * ibis_client_get_network:
- * @client: the instance
  *
  * Gets the network that the client is connected to.
  *
@@ -239,7 +227,6 @@
 
 /**
  * ibis_client_get_nick:
- * @client: the instance
  *
  * Gets the nick from @client.
  *
@@ -252,7 +239,6 @@
 
 /**
  * ibis_client_set_nick:
- * @client: the instance
  * @nick: the new nick
  *
  * Sets the nick of @client to @nick.
@@ -264,7 +250,6 @@
 
 /**
  * ibis_client_get_realname:
- * @client: the instance
  *
  * Gets the realname that is being used when sending the `USER` command.
  *
@@ -280,7 +265,6 @@
 
 /**
  * ibis_client_set_realname:
- * @client: the instance
  * @realname: (nullable): the new realname
  *
  * Sets the realname to use when sending the `USER` command.
@@ -292,9 +276,8 @@
 
 /**
  * ibis_client_get_registered:
- * @client: the instance
  *
- * Gets whether or not the client has completed user registration.
+ * Checks whether the client has completed user registration.
  *
  * User registration is the first thing that happens while connecting and other
  * commands like JOIN, PRIVMSG, etc can not be sent until registration is
@@ -309,7 +292,6 @@
 
 /**
  * ibis_client_get_source_prefix:
- * @client: the instance
  * @source: the source
  *
  * Gets the Channel Membership Prefix from @source according to the prefixes
@@ -324,7 +306,6 @@
 
 /**
  * ibis_client_get_username:
- * @client: the instance
  *
  * Gets the username that is being used when sending the `USER` command.
  *
@@ -340,7 +321,6 @@
 
 /**
  * ibis_client_set_username:
- * @client: the instance
  * @username: (nullable): the new username
  *
  * Sets the username to use when sending the `USER` command.
@@ -352,7 +332,6 @@
 
 /**
  * ibis_client_is_channel:
- * @client: the instance
  * @target: the target
  *
  * Checks if @target is a channel.
@@ -397,7 +376,6 @@
 
 /**
  * ibis_client_start:
- * @client: the instance
  * @stream: the [class@Gio.IOStream] to process
  * @password: (nullable): the optional server password to use
  * @cancellable: (transfer none) (nullable): a [class@Gio.Cancellable] to use
@@ -416,7 +394,6 @@
 
 /**
  * ibis_client_stop:
- * @client: the instance
  * @error: (transfer full) (nullable): a #GError
  *
  * Stops @client.
@@ -433,7 +410,6 @@
 
 /**
  * ibis_client_strip_source_prefix:
- * @client: the instance
  * @source: the source
  *
  * Strips the Channel Membership Prefix from @source according to the prefixes
@@ -448,7 +424,6 @@
 
 /**
  * ibis_client_write:
- * @client: the instance
  * @message: (transfer full): the message to write
  *
  * Writes @message to the server.
diff --git a/ibis/ibisctcpmessage.h b/ibis/ibisctcpmessage.h
--- a/ibis/ibisctcpmessage.h
+++ b/ibis/ibisctcpmessage.h
@@ -53,7 +53,6 @@
 
 /**
  * ibis_ctcp_message_get_command:
- * @message: the instance
  *
  * Gets the command from @message.
  *
@@ -66,7 +65,6 @@
 
 /**
  * ibis_ctcp_message_is_command:
- * @message: the instance
  * @command: the command to check
  *
  * Checks if the command of @message matches @command.
@@ -95,7 +93,6 @@
 
 /**
  * ibis_ctcp_message_get_params:
- * @message: the instance
  *
  * Gets the parameters from @message.
  *
@@ -108,7 +105,6 @@
 
 /**
  * ibis_ctcp_message_set_params:
- * @message: the instance
  * @...: a list of parameters to add followed by %NULL.
  *
  * Sets the parameters of @message.
@@ -120,7 +116,6 @@
 
 /**
  * ibis_ctcp_message_set_paramsv: (rename-to ibis_ctcp_message_set_params):
- * @message: the instance
  * @params: (transfer none) (nullable): the new parameters
  *
  * Sets the parameters of @message to @params.
@@ -147,7 +142,6 @@
 
 /**
  * ibis_ctcp_message_serialize:
- * @message: the instance
  *
  * Serializes @message to a string.
  *
diff --git a/ibis/ibisfeatures.c b/ibis/ibisfeatures.c
--- a/ibis/ibisfeatures.c
+++ b/ibis/ibisfeatures.c
@@ -319,8 +319,8 @@
 
 	/**
 	 * IbisFeatures::changed:
-	 * @features: The instance.
-	 * @feature: The name of the feature that changed.
+	 * @features: the instance
+	 * @feature: the name of the feature that changed
 	 *
 	 * Emitted when a feature changes.
 	 *
diff --git a/ibis/ibisfeatures.h b/ibis/ibisfeatures.h
--- a/ibis/ibisfeatures.h
+++ b/ibis/ibisfeatures.h
@@ -50,7 +50,6 @@
 
 /**
  * ibis_features_clear:
- * @features: the instance
  *
  * Clears all features from @features and sets the default values per
  * https://modern.ircdocs.horse/#rplisupport-parameters.
@@ -62,7 +61,6 @@
 
 /**
  * ibis_features_client_tag_denied:
- * @features: the instance
  * @tag: the tag to query
  *
  * Query the CLIENTTAGDENY parameter from @features.
@@ -90,7 +88,6 @@
 
 /**
  * ibis_features_parse:
- * @features: the instance
  * @message: the message to parse
  *
  * Parses an RPL_ISUPPORT message into a features object.
@@ -104,7 +101,6 @@
 
 /**
  * ibis_features_get_awaylen:
- * @features: the instance
  *
  * Gets the AWAYLEN parameter from @features.
  *
@@ -119,7 +115,6 @@
 
 /**
  * ibis_features_get_casemapping:
- * @features: the instance
  *
  * Gets the CASEMAPPING parameter from @features.
  *
@@ -134,7 +129,6 @@
 
 /**
  * ibis_features_get_chanlimit:
- * @features: the instance
  *
  * Gets the CHANLIMIT parameter from @features.
  *
@@ -149,7 +143,6 @@
 
 /**
  * ibis_features_get_chanmodes:
- * @features: the instance
  *
  * Gets the CHANMODES parameter from @features.
  *
@@ -164,7 +157,6 @@
 
 /**
  * ibis_features_get_chantypes:
- * @features: the instance
  *
  * Gets the CHANTYPES parameter from @features.
  *
@@ -179,7 +171,6 @@
 
 /**
  * ibis_features_get_channellen:
- * @features: the instance
  *
  * Gets the CHANNELLEN parameter from @features.
  *
@@ -194,7 +185,6 @@
 
 /**
  * ibis_features_get_elist:
- * @features: the instance
  *
  * Gets the ELIST parameter from @features.
  *
@@ -209,7 +199,6 @@
 
 /**
  * ibis_features_get_excepts:
- * @features: the instance
  *
  * Gets the EXCEPTS parameter from @features.
  *
@@ -224,7 +213,6 @@
 
 /**
  * ibis_features_get_extban:
- * @features: the instance
  *
  * Gets the EXTBAN parameter from @features.
  *
@@ -239,7 +227,6 @@
 
 /**
  * ibis_features_get_hostlen:
- * @features: the instance
  *
  * Gets the HOSTLEN parameter from @features.
  *
@@ -254,7 +241,6 @@
 
 /**
  * ibis_features_get_invex:
- * @features: the instance
  *
  * Gets the INVEX parameter from @features.
  *
@@ -269,7 +255,6 @@
 
 /**
  * ibis_features_get_kicklen:
- * @features: the instance
  *
  * Gets the KICKLEN parameter from @features.
  *
@@ -284,7 +269,6 @@
 
 /**
  * ibis_features_get_maxlist:
- * @features: the instance
  *
  * Gets the MAXLIST parameter from @features.
  *
@@ -299,7 +283,6 @@
 
 /**
  * ibis_features_get_maxtargets:
- * @features: the instance
  *
  * Gets the MAXTARGETS parameter from @features.
  *
@@ -314,7 +297,6 @@
 
 /**
  * ibis_features_get_modes:
- * @features: the instance
  *
  * Gets the MODES parameter from @features.
  *
@@ -329,7 +311,6 @@
 
 /**
  * ibis_features_get_network:
- * @features: the instance
  *
  * Gets the NETWORK parameter from @features.
  *
@@ -344,7 +325,6 @@
 
 /**
  * ibis_features_get_nicklen:
- * @features: the instance
  *
  * Gets the NICKLEN parameter from @features.
  *
@@ -359,7 +339,6 @@
 
 /**
  * ibis_features_get_prefix:
- * @features: the instance
  *
  * Gets the PREFIX parameter from @features.
  *
@@ -374,7 +353,6 @@
 
 /**
  * ibis_features_get_prefix_modes:
- * @features: the instance
  *
  * Gets the modes portion of the prefix feature.
  *
@@ -389,7 +367,6 @@
 
 /**
  * ibis_features_get_prefix_prefixes:
- * @features: the instance
  *
  * Gets the prefixes portion of the prefix feature.
  *
@@ -404,7 +381,6 @@
 
 /**
  * ibis_features_get_safelist:
- * @features: the instance
  *
  * Gets the SAFELIST parameter from @features.
  *
@@ -419,7 +395,6 @@
 
 /**
  * ibis_features_get_silence:
- * @features: the instance
  *
  * Gets the SILENCE parameter from @features.
  *
@@ -434,7 +409,6 @@
 
 /**
  * ibis_features_get_statusmsg:
- * @features: the instance
  *
  * Gets the STATUSMSG parameter from @features.
  *
@@ -449,7 +423,6 @@
 
 /**
  * ibis_features_get_targmax:
- * @features: the instance
  *
  * Gets the TARGMAX parameter from @features.
  *
@@ -464,7 +437,6 @@
 
 /**
  * ibis_features_get_topiclen:
- * @features: the instance
  *
  * Gets the TOPICLEN parameter from @features.
  *
@@ -479,7 +451,6 @@
 
 /**
  * ibis_features_get_userlen:
- * @features: the instance
  *
  * Gets the USERLEN parameter from @features.
  *
@@ -494,7 +465,6 @@
 
 /**
  * ibis_features_get_uint:
- * @features: the instance
  * @parameter: a parameter name
  *
  * Gets the value of an unsigned integer parameter.
@@ -513,7 +483,6 @@
 
 /**
  * ibis_features_get_string:
- * @features: the instance
  * @parameter: a parameter name
  *
  * Gets the value of a string parameter.
@@ -532,7 +501,6 @@
 
 /**
  * ibis_features_get_boolean:
- * @features: the instance
  * @parameter: a parameter name
  *
  * Gets the value of a boolean parameter.
@@ -553,7 +521,6 @@
 
 /**
  * ibis_features_get_char:
- * @features: the instance
  * @parameter: a parameter name
  *
  * Gets the value of a single character parameter.
diff --git a/ibis/ibismessage.h b/ibis/ibismessage.h
--- a/ibis/ibismessage.h
+++ b/ibis/ibismessage.h
@@ -70,7 +70,6 @@
 
 /**
  * ibis_message_get_command:
- * @message: the instance
  *
  * Gets the command of the message.
  *
@@ -83,7 +82,6 @@
 
 /**
  * ibis_message_get_command_quark:
- * @message: the instance
  *
  * Gets the #GQuark for @message.
  *
@@ -99,9 +97,8 @@
 
 /**
  * ibis_message_get_ctcp:
- * @message: the instance
  *
- * Gets whether or not @message is a CTCP message.
+ * Checks whether @message is a CTCP message.
  *
  * This should only ever return %TRUE if the command property of @message is
  * `PRIVMSG` or `NOTICE`.
@@ -115,7 +112,6 @@
 
 /**
  * ibis_message_get_ctcp_message:
- * @message: the instance
  *
  * Gets the [class@CTCPMessage] from @message.
  *
@@ -128,7 +124,6 @@
 
 /**
  * ibis_message_set_ctcp_message:
- * @message: the instance
  * @ctcp_message: (transfer none) (nullable): the `CTCP` message instance
  *
  * Sets the `CTCP` message of @message to @ctcp_message.
@@ -140,7 +135,6 @@
 
 /**
  * ibis_message_set_ctcp:
- * @message: the instance
  * @ctcp: if true make this a CTCP message
  *
  * Sets @message to be a CTCP message or not.
@@ -157,7 +151,6 @@
 
 /**
  * ibis_message_get_params:
- * @message: the instance
  *
  * Gets the parameters from @message.
  *
@@ -170,7 +163,6 @@
 
 /**
  * ibis_message_set_params:
- * @message: the instance
  * @...: a list of parameters to add followed by %NULL
  *
  * Sets the parameters of @message.
@@ -182,7 +174,6 @@
 
 /**
  * ibis_message_set_paramsv: (rename-to ibis_message_set_params):
- * @message: the instance
  * @params: (transfer none) (nullable): the new parameters
  *
  * Sets the parameters of @message to @params.
@@ -194,9 +185,8 @@
 
 /**
  * ibis_message_get_source:
- * @message: the instance
  *
- * Gets the the source of @message.
+ * Gets the source of @message.
  *
  * Returns: (nullable): The source of @message.
  *
@@ -207,7 +197,6 @@
 
 /**
  * ibis_message_set_source:
- * @message: the instance
  * @source: (nullable): the new source
  *
  * Sets the source of @message to @source.
@@ -219,7 +208,6 @@
 
 /**
  * ibis_message_get_tags:
- * @message: the instance
  *
  * Gets the tags from @message.
  *
@@ -232,7 +220,6 @@
 
 /**
  * ibis_message_set_tags:
- * @message: the instance
  * @tags: (transfer none) (nullable): the new tags
  *
  * Sets the tags of @message to @tags.
@@ -246,7 +233,6 @@
 
 /**
  * ibis_message_get_timestamp:
- * @message: the instance
  *
  * Gets the value of the @time tag if it exists.
  *
@@ -259,7 +245,6 @@
 
 /**
  * ibis_message_serialize:
- * @message: the instance
  * @include_tags: if true tags will be included
  *
  * Serializes @message into a [type@GLib.Bytes].
@@ -279,7 +264,6 @@
 
 /**
  * ibis_message_serialize_to_string:
- * @message: the instance
  * @include_tags: if true tags will be included
  *
  * Serializes @message into a string.
@@ -299,7 +283,6 @@
 
 /**
  * ibis_message_get_error:
- * @message: the instance
  *
  * Gets the error for @message.
  *
@@ -315,7 +298,6 @@
 
 /**
  * ibis_message_set_error:
- * @message: the instance
  * @error: (nullable) (transfer none): the new error message
  *
  * Sets the error for @message to @error.
@@ -327,7 +309,6 @@
 
 /**
  * ibis_message_take_error:
- * @message: the instance
  * @error: (nullable) (transfer full): the new error message
  *
  * Sets the error for @message to @error taking ownership of @error.
@@ -362,7 +343,6 @@
 
 /**
  * ibis_message_get_raw_message:
- * @message: the instance
  *
  * Gets the `raw-message` that @message was parsed from.
  *
@@ -378,7 +358,6 @@
 
 /**
  * ibis_message_is_command:
- * @message: the instance
  * @command: (nullable): the command to check
  *
  * Checks if [property@Message:command] is @command.
@@ -397,7 +376,6 @@
 
 /**
  * ibis_message_get_standard_reply:
- * @message: the instance
  *
  * Gets the [class@StandardReply] from @message.
  *
diff --git a/ibis/ibisstandardreply.h b/ibis/ibisstandardreply.h
--- a/ibis/ibisstandardreply.h
+++ b/ibis/ibisstandardreply.h
@@ -54,7 +54,6 @@
 
 /**
  * ibis_standard_reply_get_code:
- * @reply: the instance
  *
  * Gets the code from @reply.
  *
@@ -67,9 +66,8 @@
 
 /**
  * ibis_standard_reply_get_command:
- * @reply: the instance
  *
- * The command that this reply is related to.
+ * Gets the command that this reply is related to.
  *
  * Returns: The command that this reply is related to or `*`.
  *
@@ -80,7 +78,6 @@
 
 /**
  * ibis_standard_reply_get_context:
- * @reply: the instance
  *
  * Gets the context from @reply.
  *
@@ -93,9 +90,8 @@
 
 /**
  * ibis_standard_reply_get_description:
- * @reply: the instance
- *
- * The description from this reply.
+  *
+ * Gets the description from this reply.
  *
  * Returns: The description from this reply.
  *
@@ -106,7 +102,6 @@
 
 /**
  * ibis_standard_reply_get_reply_type:
- * @reply: the instance
  *
  * Gets the type from @reply.
  *
@@ -119,7 +114,6 @@
 
 /**
  * ibis_standard_reply_is_type:
- * @reply: the instance
  * @type: the type to check
  *
  * Checks if the type of @reply is @type.
diff --git a/ibis/ibistags.h b/ibis/ibistags.h
--- a/ibis/ibistags.h
+++ b/ibis/ibistags.h
@@ -59,7 +59,6 @@
 
 /**
  * ibis_tags_add:
- * @tags: the instance
  * @key: the key of the new tag
  * @value: the unescaped value to add
  *
@@ -74,7 +73,6 @@
 
 /**
  * ibis_tags_clear:
- * @tags: the instance
  *
  * Removes all tags from @tags.
  *
@@ -115,7 +113,6 @@
 
 /**
  * ibis_tags_exists:
- * @tags: the instance
  * @key: the key to look for
  *
  * Checks whether or not @key exists in @tags.
@@ -129,7 +126,6 @@
 
 /**
  * ibis_tags_get_size:
- * @tags: the instance
  *
  * Gets the number of tags in @tags.
  *
@@ -142,7 +138,6 @@
 
 /**
  * ibis_tags_lookup:
- * @tags: the instance
  * @key: the key to lookup
  *
  * Looks up @key in @tags and returns the value.
@@ -184,7 +179,6 @@
 
 /**
  * ibis_tags_parse_string:
- * @tags: the instance
  * @tags_string: the string to parse
  * @error: (nullable): a return address for a #GError
  *
@@ -201,7 +195,6 @@
 
 /**
  * ibis_tags_remove:
- * @tags: the instance
  * @key: the key to remove
  *
  * Removes @key from @tags.
@@ -215,7 +208,6 @@
 
 /**
  * ibis_tags_serialize:
- * @tags: the instance
  *
  * Serializes @tags to a string.
  *
